/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2005_IT_DELIMITED.dct, clear
/*
label define  regione_cl1 1   "Piemonte e Val d'Aosta" 3   "Lombardia" 4   "Trentino Alto Adige" 5   "Veneto" 6   "Friuli" 7   "Liguria" 8   "Emilia Romagna" 9   "Toscana" 10   "Umbria" 11   "Marche" 12   "Lazio" 13   "Abruzzo" 14   "Molise" 15   "Campania" 16   "Puglia" 17   "Basilicata" 18   "Calabria" 19   "Sicilia" 20   "Sardegna"  
label define  ateco_cl2 F   "Costruzioni" H   "Alberghi e pubblici esercizi" I   "Trasporti, magazzinaggio e comunicazioni" J   "Intermediazione monetaria e finanziaria" CE   "Estrazione prodotti energetici e non energetici, energia" DA   "Industrie alimentari, delle bevande e del tabacco" DB   "Industrie tessili e dell'abbigliamento" DC   "Industrie conciarie, prodotti in cuoio, pelle e similari" DD   "Industria del legno e dei prodotti in legno" DE   "Fabbricz. carta e prodotti di carta; stampa ed editoria" DH   "Fabbricz. di articoli in gomma  e materie plastiche" DI   "Fabbricz. di prodotti della lav.  minerali non metalliferi" DJ   "Produz. di metalli e fabbricazione di prodotti in metallo" DK   "Fabbricz. di macchine ed app. meccanici, riparazioni" DL   "Fabbricz. di macchine elettri., appar. elettriche, ottiche" DM   "Fabbricazione di mezzi di trasporto" DN   "Altre industrie manifatturiere" G1   "Commercio, riparazioni, commercio all'ingrosso" G2   "Commercio al dettaglio" Ka   "Attivit immobiliari, noleggio macchinari" Kb   "Informatica, ricerca, attivit imprenditoriali e professionali" DFG   "Fabbricz. di coke, art. in gomma (petrolchimico)"  
label define  dipendenti02_cl3 0   "Senza dipendenti" 1   "Con dipendenti"  
label define  addetti02_cl4 1   "1 addetto" 2   "2-4 addetti" 3   "5-9 addetti" 4   "10-19 addetti" 5   "20 addetti e oltre"  
label define  addetti04_cl5 1   "1 addetto" 2   "2-4 addetti" 3   "5-9 addetti" 4   "10-19 addetti" 5   "20 addetti e oltre"  
label define  fatturato04_cl6 1   "Fino a 20" 2   "Oltre 20 fino a 50" 3   "Oltre 50 fino a 100" 4   "Oltre 100 fino a 200" 5   "Oltre 200 fino a 500" 6   "Oltre 500 fino a 1000" 7   "Oltre 1000 fino a 2000" 8   "Oltre 2000 fino a 4000" 9   "Oltre 4000"  
label define  fatturato05_cl7 1   "Fino a 20" 2   "Oltre 20 fino a 50" 3   "Oltre 50 fino a 100" 4   "Oltre 100 fino a 200" 5   "Oltre 200 fino a 500" 6   "Oltre 500 fino a 1000" 7   "Oltre 1000 fino a 2000" 8   "Oltre 2000 fino a 4000" 9   "Oltre 4000"  
label define  eta_cl8 1   "Meno di 30" 2   "30-39" 3   "40-49" 4   "50 e oltre"  
label define  imprenditore_cl9 0   "No" 1   "Si"  
label define  d2_2_a_cl10 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_2_b_cl11 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_2_c_cl12 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_2_d_cl13 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_2_e_cl14 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_2_f_cl15 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_2_g_cl16 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_2_h_cl17 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_2_i_cl18 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_2_j_cl19 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_2_k_cl20 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_2_l_cl21 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_2_m_cl22 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_3a_cl23 0   "No" 1   "Si"  
label define  d2_3b_cl24 0   "No" 1   "Si"  
label define  d2_3c_cl25 0   "No" 1   "Si"  
label define  d2_3d_cl26 0   "No" 1   "Si"  
label define  d2_3e_cl27 0   "No" 1   "Si"  
label define  d2_3f_cl28 0   "No" 1   "Si"  
label define  d2_3g_cl29 0   "No" 1   "Si"  
label define  d2_4_a_cl30 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_4_b_cl31 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_4_c_cl32 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_4_d_cl33 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_4_e_cl34 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_4_f_cl35 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_4_g_cl36 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_4_h_cl37 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_4_i_cl38 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_4_l_cl39 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_4_m_cl40 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_4_n_cl41 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d2_5_cl42 A   "lavoratore, lavoratrice in proprio" B   "libero professionista" C   "lavoratore dipendente" D   "studente" E   "disoccupato o in cerca di prima occupazione" F   "non svolgeva alcuna attivit remunerativa e non era in cerca di lavoro" G   "pensionato"  
label define  d2_6_cl43 0   "No" 1   "Si"  
label define  d2_7_cl44 1   "Si, una volta" 2   "Si, piu' di una volta" 3   "No, mai"  
label define  d2_8_cl45 1   "Si, su mia iniziativa" 2   "Si, su iniziativa di istituzioni pubbliche" 3   "No"  
label define  d2_9_a_cl46 0   "No" 1   "Si"  
label define  d2_9_b_cl47 0   "No" 1   "Si"  
label define  d2_9_c_cl48 0   "No" 1   "Si"  
label define  d2_9_d_cl49 0   "No" 1   "Si"  
label define  d2_9_e_cl50 0   "No" 1   "Si"  
label define  d2_9_f_cl51 0   "No" 1   "Si"  
label define  d2_9_g_cl52 0   "No" 1   "Si"  
label define  d2_9_h_cl53 0   "No" 1   "Si"  
label define  d2_9_i_cl54 0   "No" 1   "Si"  
label define  d2_10_cl55 0   "No" 1   "Si"  
label define  d2_12_cl56 F   "Femmina" M   "Maschio"  
label define  d2_13_cl57 1   "Italiana" 2   "Straniera: EU" 3   "Straniera: altro"  
label define  d2_14_cl58 A   "Nessuno" B   "Elementare" C   "Scuola media inferiore" D   "Scuola media superiore" E   "Diploma di laurea" F   "Laurea"  
label define  d3_1_cl59 A   "Dal solo imprenditore" B   "Dall'imprenditore in associazione con qualcun altro (es. familiari, soci)" C   "Esclusivamente da manager retribuiti"  
label define  d3_5_cl60 A   "1 cliente" B   "Da 2 a 4 clienti" C   "Da 5 a 50 clienti" D   "Da 51 a 100 clienti" E   "Piu' di 100 clienti"  
label define  d3_6_a_cl61 0   "No" 1   "Si"  
label define  d3_6_b_cl62 0   "No" 1   "Si"  
label define  d3_6_c_cl63 0   "No" 1   "Si"  
label define  d3_6_d_cl64 0   "No" 1   "Si"  
label define  d3_7_cl65 A   "Molto buona" B   "Buona" C   "Appena sufficiente" D   "Scarsa" E   "Pi di 100 clienti"  
label define  d3_8_cl66 A   "Collaboro con altre imprese piu' piccole all'interno di una rete" B   "Sono un subappaltatore di un'impresa piu' grande" C   "Sono un frachisee o un licenziatario" D   "Partecipo a una joint venture" E   "Nessuna / non rilevante"  
label define  d3_9_a_cl67 0   "No" 1   "Si"  
label define  d3_9_b_cl68 0   "No" 1   "Si"  
label define  d3_9_c_cl69 0   "No" 1   "Si"  
label define  d3_9_d_cl70 0   "No" 1   "Si"  
label define  d3_10_a_cl71 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d3_10_b_cl72 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d3_10_c_cl73 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d3_10_d_cl74 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d3_11_a_cl75 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d3_11_b_cl76 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d3_11_c_cl77 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d3_11_d_cl78 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d3_11_e_cl79 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d3_11_f_cl80 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d3_11_g_cl81 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d3_11_h_cl82 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d3_11_i_cl83 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d3_11_j_cl84 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d3_11_k_cl85 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d3_11_l_cl86 1   "Molto" 2   "In parte" 3   "Per niente" 4   "Non so"  
label define  d4_1_cl87 A   "l'attivita' continuera' piu' o meno inalterata" B   "si assocera' con una o piu' imprese (ad esempio per fusione, ...)" C   "vendera' o cessera' l'attivita' per costituire una nuova impresa nello stesso ramo di attivita'" D   "vendera' o cessera' l'attivita' per costituire una nuova impresa in un ramo di attivita' diverso" E   "vendera' o cessera' l'attivita'"  
label define  d4_2_a_cl88 1   "Diminuzione" 2   "Invariato" 3   "Aumento"  
label define  d4_2_b_cl89 1   "Diminuzione" 2   "Invariato" 3   "Aumento"  
label define  d4_2_c_cl90 1   "Diminuzione" 2   "Invariato" 3   "Aumento"  
label define  d4_2_d_cl91 1   "Diminuzione" 2   "Invariato" 3   "Aumento"  
label define  d4_3_a_cl92 0   "No" 1   "Si"  
label define  d4_3_b_cl93 0   "No" 1   "Si"  
label define  d4_3_c_cl94 0   "No" 1   "Si"  
label define  d4_3_d_cl95 0   "No" 1   "Si"  
label define  d4_3_e_cl96 0   "No" 1   "Si"  
label define  d4_3_f_cl97 0   "No" 1   "Si"  
label define  d4_3_g_cl98 0   "No" 1   "Si"  
label values  regione regione_cl1
label values  ateco ateco_cl2
label values  dipendenti02 dipendenti02_cl3
label values  addetti02 addetti02_cl4
label values  addetti04 addetti04_cl5
label values  fatturato04 fatturato04_cl6
label values  fatturato05 fatturato05_cl7
label values  eta eta_cl8
label values  imprenditore imprenditore_cl9
label values  d2_2_a d2_2_a_cl10
label values  d2_2_b d2_2_b_cl11
label values  d2_2_c d2_2_c_cl12
label values  d2_2_d d2_2_d_cl13
label values  d2_2_e d2_2_e_cl14
label values  d2_2_f d2_2_f_cl15
label values  d2_2_g d2_2_g_cl16
label values  d2_2_h d2_2_h_cl17
label values  d2_2_i d2_2_i_cl18
label values  d2_2_j d2_2_j_cl19
label values  d2_2_k d2_2_k_cl20
label values  d2_2_l d2_2_l_cl21
label values  d2_2_m d2_2_m_cl22
label values  d2_3a d2_3a_cl23
label values  d2_3b d2_3b_cl24
label values  d2_3c d2_3c_cl25
label values  d2_3d d2_3d_cl26
label values  d2_3e d2_3e_cl27
label values  d2_3f d2_3f_cl28
label values  d2_3g d2_3g_cl29
label values  d2_4_a d2_4_a_cl30
label values  d2_4_b d2_4_b_cl31
label values  d2_4_c d2_4_c_cl32
label values  d2_4_d d2_4_d_cl33
label values  d2_4_e d2_4_e_cl34
label values  d2_4_f d2_4_f_cl35
label values  d2_4_g d2_4_g_cl36
label values  d2_4_h d2_4_h_cl37
label values  d2_4_i d2_4_i_cl38
label values  d2_4_l d2_4_l_cl39
label values  d2_4_m d2_4_m_cl40
label values  d2_4_n d2_4_n_cl41
label values  d2_5 d2_5_cl42
label values  d2_6 d2_6_cl43
label values  d2_7 d2_7_cl44
label values  d2_8 d2_8_cl45
label values  d2_9_a d2_9_a_cl46
label values  d2_9_b d2_9_b_cl47
label values  d2_9_c d2_9_c_cl48
label values  d2_9_d d2_9_d_cl49
label values  d2_9_e d2_9_e_cl50
label values  d2_9_f d2_9_f_cl51
label values  d2_9_g d2_9_g_cl52
label values  d2_9_h d2_9_h_cl53
label values  d2_9_i d2_9_i_cl54
label values  d2_10 d2_10_cl55
label values  d2_12 d2_12_cl56
label values  d2_13 d2_13_cl57
label values  d2_14 d2_14_cl58
label values  d3_1 d3_1_cl59
label values  d3_5 d3_5_cl60
label values  d3_6_a d3_6_a_cl61
label values  d3_6_b d3_6_b_cl62
label values  d3_6_c d3_6_c_cl63
label values  d3_6_d d3_6_d_cl64
label values  d3_7 d3_7_cl65
label values  d3_8 d3_8_cl66
label values  d3_9_a d3_9_a_cl67
label values  d3_9_b d3_9_b_cl68
label values  d3_9_c d3_9_c_cl69
label values  d3_9_d d3_9_d_cl70
label values  d3_10_a d3_10_a_cl71
label values  d3_10_b d3_10_b_cl72
label values  d3_10_c d3_10_c_cl73
label values  d3_10_d d3_10_d_cl74
label values  d3_11_a d3_11_a_cl75
label values  d3_11_b d3_11_b_cl76
label values  d3_11_c d3_11_c_cl77
label values  d3_11_d d3_11_d_cl78
label values  d3_11_e d3_11_e_cl79
label values  d3_11_f d3_11_f_cl80
label values  d3_11_g d3_11_g_cl81
label values  d3_11_h d3_11_h_cl82
label values  d3_11_i d3_11_i_cl83
label values  d3_11_j d3_11_j_cl84
label values  d3_11_k d3_11_k_cl85
label values  d3_11_l d3_11_l_cl86
label values  d4_1 d4_1_cl87
label values  d4_2_a d4_2_a_cl88
label values  d4_2_b d4_2_b_cl89
label values  d4_2_c d4_2_c_cl90
label values  d4_2_d d4_2_d_cl91
label values  d4_3_a d4_3_a_cl92
label values  d4_3_b d4_3_b_cl93
label values  d4_3_c d4_3_c_cl94
label values  d4_3_d d4_3_d_cl95
label values  d4_3_e d4_3_e_cl96
label values  d4_3_f d4_3_f_cl97
label values  d4_3_g d4_3_g_cl98
*/
save  ISTAT_MFR_FOBS_Microdati_2005_ESEMPIO_STRUTTURA_FILE.dta, replace
